classification
Title: IDLE messes around with sys.exitfunc
Type: Stage:
Components: IDLE Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: kbk Nosy List: christian.heimes, georg.brandl, kbk
Priority: normal Keywords:

Created on 2007-12-18 03:29 by christian.heimes, last changed 2008-02-14 04:55 by kbk. This issue is now closed.

Messages (5)
msg58722 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-18 03:29
Is it necessary to alter or remove the exit function?

c:\dev\python\trunk\PCbuild9>python ..\Lib\idlelib\idle.py
Traceback (most recent call last):
  File "c:\dev\python\trunk\lib\idlelib\run.py", line 83, in main
    exit()
  File "c:\dev\python\trunk\lib\idlelib\run.py", line 209, in exit
    del sys.exitfunc
AttributeError: exitfunc
msg58980 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2007-12-24 03:48
It was done for VPython support, as described in the docstring in 
run.py:exit().  What are you doing, removing sys.exitfunc from 
2.6? 

The 3.0 run.py code was changed to use atexit._clear().
msg61299 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-20 14:22
Should be no problem then.
msg61615 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2008-01-23 22:56
And yet some people were seeing this error.  I was not, on Linux, and I 
don't know why.  Fixed at r60227.
msg62378 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2008-02-14 04:55
backported 2.5.2c1
History
Date User Action Args
2008-02-14 04:55:11kbksetmessages: + msg62378
2008-01-23 22:56:53kbksetresolution: works for me -> fixed
messages: + msg61615
versions: - Python 3.0
2008-01-20 14:22:14georg.brandlsetstatus: open -> closed
resolution: works for me
messages: + msg61299
nosy: + georg.brandl
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 2.6, Python 3.0
2007-12-24 03:48:49kbksetmessages: + msg58980
2007-12-18 08:29:44christian.heimessetpriority: normal
keywords: + py3k
2007-12-18 03:29:12christian.heimescreate